Your suggested change has been received. Thank you.

close

Suggest A Change

https://thales.na.market.dpondemand.io/docs/dpod/services/kmo….

back

DSM Key APIs

Refreshing DSM Domains

search

Please Note:

Refreshing DSM Domains

Use the post /v1/cckm/dsm/refresh API to refresh keys in DSM domains. Keys of individual, multiple, or all domains can be refreshed.

  • To refresh multiple domains, specify their IDs separated by commas, and set synchronize_all to false.

  • To refresh all domains, set synchronize_all to true.

domains and synchronize_all are mutually exclusive - specify either.

Syntax

curl -k '<IP>/api/v1/cckm/dsm/refresh' -H 'Authorization: Bearer AUTHTOKEN' -H 'Content-Type: application/json' --data-binary $'{\n  \n  "synchronize_all": <true|false>\n}' --compressed

Request Parameters

ParameterTypeDescription
AUTHTOKENstringAuthorization token.
domainsarray of stringsIDs of DSM domains from which you want to refresh keys.
synchronize_allbooleanWhether to refresh all keys in all domains. Set to true to refresh all domains, else set to false.

Example Request

curl -k 'https://127.0.0.1/api/v1/cckm/dsm/refresh' -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiI0MmFmZDExNy02YzllLTRhNGUtOTAwYS1lYjlhNDNjYWE5ZDIiLCJzdWIiOiJsb2NhbHwzMTI5ODdkMS0wOWNiLTQxZTEtOThmNy1jZjRhNzgwNTZiMTMiLCJpc3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJkb21haW5faWQiOiIwMDAwMDAwMC0wMDAwLTAwMDAtMDAwMC0wMDAwMDAwMDAwMDAiLCJncm91cHMiOlsiYWRtaW4iXSwic2lkIjoiNDVmOWE3NWUtMzI1NC00NWJkLWE0NzYtOWU2NWUyNjdmNGVkIiwiem9uZV9pZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCJ9LCJqd3RpZCI6IjdiYzNkOWM4LWRiYTQtNDVmMy05YWNiLWI3NGM2MzQyYzYyMCIsImlhdCI6MTYxNDc1MTg1MSwiZXhwIjoxNjE0NzUyMTUxfQ.ahdxfM7-WA4u7sotHy6qelc9MkoZytst7oZWsvE7Cr0' -H 'Content-Type: application/json' --data-binary $'{\n  \n  "synchronize_all": true\n}' --compressed

Example Response

{
    "id": "8155fe39-570a-4132-92ca-e40b7640c7dc",
    "uri": "kylo:kylo:cckm:synchronize:8155fe39-570a-4132-92ca-e40b7640c7dc",
    "account": "kylo:kylo:admin:accounts:kylo",
    "application": "ncryptify:gemalto:admin:apps:kylo",
    "devAccount": "ncryptify:gemalto:admin:accounts:gemalto",
    "createdAt": "2021-03-03T06:10:52.128836208Z",
    "updatedAt": "2021-03-03T06:10:52.131392445Z",
    "overall_status": "in_progress",
    "cloud": "dsm",
    "domains": [
        "89c49e63-b5c9-46be-9371-0d8b0649e289"
    ],
    "abort": false
}

The output shows the "overall_status" of the key refresh process with ID 8155fe39-570a-4132-92ca-e40b7640c7dc is "in_progress". The output also shows the ID of the domain being refreshed.

Depending on the number of domains and their keys, the refresh might take significant amount of time. To view the updated status of the process, run the get /v1/cckm/dsm/refresh API. Refer to Getting Refresh Status of DSM Domains for details.

Response Codes

Response CodeDescription
2xxSuccess
4xxClient errors
5xxServer errors

Refer to HTTP status codes for details.